Now supports Express version 2

The Parser now supports the express amendment additions:

- extensible enumerations
- extensible selects
- abstract entities
- generic entites
- subtype constraints
etc.

The template.g, pretty.g and exp2xml.g files have been modified to use the new grammar, so, older ANTLR files should not work anymore.
Anyway, the new grammar is backward compatible with the older one (i.e. the new parser can read Express and ExpressV2 files as well)

Posted by Stephane Lardet 2001-07-05